View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17026Bug reportsTheme editorpublic2021-03-10 22:13
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.25.10 
Summary17026: Custom themes not uploading files
Description

https://github.com/LimeSurvey/LimeSurvey/commit/eef20220d91ed102bb8d55394c334a8778f22136 breaks custom themes?

We noticed that suddenly we could not upload files at the theme options of our custom themes. after digging into recent changes, we noticed this adjustment:
https://github.com/LimeSurvey/LimeSurvey/commit/eef20220d91ed102bb8d55394c334a8778f22136#diff-badd0b87ff2e50cf71580a7dddaa3248279215b37ea395b8b9fc712f764c134cR317

When adjusting the options.twig file of our template by replacing /sa/upload with /sa/templateuploadimagefile, we got it to work again.
Big problem: we can't contact several dozen customer and tell them "If you update your Limesurvey system, please adjust your options.twig file manually by adjusting ...."
This breaks file upload for many, many custom themes if I am not missing something.
can we revert that adjustment? I think we don't necessarily need to change the /sa/uplaod/?

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)3.25.10
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Relationships

related to 16733 closedgabrieljenik When importing a theme bigger in size than the allowed PHP.ini settings, there is no proper description of the error 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2021-01-28 22:31

manager   ~61795

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1733

DenisChenu

DenisChenu

2021-02-02 17:15

developer   ~61862

Arg ...
https://github.com/LimeSurvey/LimeSurvey/blob/f8875824172ee22e1263be803fd5dcedcef3b326/docs/release_notes.txt#L115

3.25.2 hard to compare with 3.25.3 … (without version_compare)

remind API update when updating API …

gabrieljenik

gabrieljenik

2021-02-03 14:20

manager   ~61885

Sorry, what do you mean? I don't get it.

DenisChenu

DenisChenu

2021-02-03 15:09

developer   ~61894

I want to fix it in skelvanilla : https://gitlab.com/SondagesPro/SurveyThemes/skelvanilla/-/blob/master/options/options.twig#L974

But no clean way … can not use {% if(config('versionnumber') > 3.25.2) %}

gabrieljenik

gabrieljenik

2021-02-03 20:06

manager   ~61917

The fix doesn't work for you?

DenisChenu

DenisChenu

2021-02-03 22:03

developer   ~61918

The fix doesn't work for you?

Not in 3.25.4 or 3.25.5 or … :)

gabrieljenik

gabrieljenik

2021-02-04 13:26

manager   ~61938

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30988

gabrieljenik

gabrieljenik

2021-02-04 14:33

manager   ~61941

It has just been merged.

Related Changesets

LimeSurvey: 3.x-LTS bf44b17f

2021-02-04 13:11:30

gabrieljenik


Committer: GitHub Details Diff
Fixed Issue 17026: Custom themes not uploading files (#1733)

* Fixed Issue 17026: Custom themes not uploading files

Code for backward compatiblity with custom themes that are expecting to upload images to upload subaction.
That happens as their options.twig are outdated.
Now that the upload subaction doesn't handle all uploads, weneed to dispatch to the proper.

* Fixed Issue 17026: Custom themes not uploading files

Code Review
Affected Issues
17026
mod - application/controllers/admin/themes.php Diff File

Issue History

Date Modified Username Field Change
2021-01-28 21:52 gabrieljenik New Issue
2021-01-28 21:52 gabrieljenik Status new => assigned
2021-01-28 21:52 gabrieljenik Assigned To => gabrieljenik
2021-01-28 21:52 gabrieljenik Issue generated from: 16733
2021-01-28 21:52 gabrieljenik Relationship added related to 16733
2021-01-28 22:31 gabrieljenik Note Added: 61795
2021-02-02 17:15 DenisChenu Note Added: 61862
2021-02-03 14:20 gabrieljenik Note Added: 61885
2021-02-03 15:09 DenisChenu Note Added: 61894
2021-02-03 20:06 gabrieljenik Note Added: 61917
2021-02-03 22:03 DenisChenu Note Added: 61918
2021-02-04 13:26 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS bf44b17f
2021-02-04 13:26 gabrieljenik Note Added: 61938
2021-02-04 13:26 gabrieljenik Resolution open => fixed
2021-02-04 14:33 gabrieljenik Note Added: 61941
2021-03-10 22:13 ollehar Status assigned => closed